Bug 414411 - [gcj-backend] internal compiler error: in java_mark_cni_decl_local, at java/decl.c:2115
Summary: [gcj-backend] internal compiler error: in java_mark_cni_decl_local, at java/d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gcc
Version: 5.1
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 173278
TreeView+ depends on / blocked
 
Reported: 2007-12-06 17:18 UTC by Andrew Cagney
Modified: 2008-05-21 14:34 UTC (History)
1 user (show)

Fixed In Version: RHBA-2008-0301
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-21 14:34:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0301 normal SHIPPED_LIVE gcc bug fix and enhancement update 2008-05-20 18:22:33 UTC

Description Andrew Cagney 2007-12-06 17:18:47 UTC
First use ECJ to compile up the .jar file:

gij --classpath
/usr/share/java/eclipse-ecj.jar:../frysk-imports/jline.jar:../frysk-imports/antlr.jar:../frysk-imports/junit.jar:../frysk-imports/getopt.jar:../frysk-imports/jdom.jar:../frysk-imports/cdtparser.jar
org.eclipse.jdt.internal.compiler.batch.Main -1.4 -d classes -warn:+semicolon
-sourcepath
../../frysk/frysk-sys:.:../frysk-imports/:../../frysk/frysk-sys/../frysk-imports/
-classpath
../frysk-imports/jline.jar:../frysk-imports/antlr.jar:../frysk-imports/junit.jar:../frysk-imports/getopt.jar:../frysk-imports/jdom.jar:../frysk-imports/cdtparser.jar
\
                @./files-java.list \
                2>&1 | tee frysk-sys.log

then try to compile the .jar:

gcj -I../../frysk/frysk-sys -I. -I../frysk-imports/
-I../../frysk/frysk-sys/../frysk-imports/ -I../frysk-imports/jline.jar
-I../frysk-imports/antlr.jar -I../frysk-imports/junit.jar
-I../frysk-imports/getopt.jar -I../frysk-imports/jdom.jar
-I../frysk-imports/cdtparser.jar -fPIC  -g -O -Werror -c frysk-sys.jar
frysk/Config.java:0: internal compiler error: in java_mark_cni_decl_local, at
java/decl.c:2115
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.

this was using frysk32.hsv.redhat.com:/notnfs/cagney/build/frysk-sys

Comment 1 Andrew Cagney 2007-12-06 17:19:42 UTC
Add rhel 5.2? affects frysk build.

Comment 2 RHEL Program Management 2007-12-06 17:24:28 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Andrew Haley 2007-12-06 19:55:12 UTC
OK, trying to duplicate.  It's definitely fixed in all current gcj versions, so
it's probably a matter of back-porting a fix.

Investigation in progress.

Comment 4 Andrew Haley 2007-12-07 13:02:49 UTC
This is http://gcc.gnu.org/bugzilla/show_bug.cgi?id=27643


Comment 5 Andrew Haley 2007-12-17 17:53:26 UTC
I have a fix for this at http://gcc.gnu.org/ml/java-patches/2007-q4/msg00090.html

It is a low-risk change that only affects code that would have triggered this
internal compiler error.  Waiting for your ACK to push the patch to release.

Comment 6 Andrew Cagney 2007-12-21 23:03:14 UTC
I've tested it on:
tortura$ rpm -q gcc
gcc-4.1.2-14_test_.x86_64
and frysk was successfully built.

I'm seeing two test failures but they are related to OS differences and not this
change.

Comment 7 Andrew Haley 2007-12-22 11:02:51 UTC
Reassigning to jakub@redhat.com for respin.

Comment 8 Jakub Jelinek 2008-01-03 10:10:15 UTC
Preliminary packages uploaded to http://people.redhat.com/jakub/gcc/4.1.2-37.el5/


Comment 14 errata-xmlrpc 2008-05-21 14:34:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0301.html



Note You need to log in before you can comment on or make changes to this bug.